require "Apollo"

local AlpacaStandardLibrary = {}

function AlpacaStandardLibrary:new(o)
  o = o or {}
  setmetatable(o, self)
  self.__index = self 
  return o
end

function AlpacaStandardLibrary:Init()
  Apollo.RegisterPackage(self, "AlpacaStandardLibrary", 1, {})
end

function AlpacaStandardLibrary:Round(fNumber, nDigitsAfterDecimal)
  return math.floor(fNumber * (10^nDigitsAfterDecimal) + 0.5) / (10^nDigitsAfterDecimal)
end

function AlpacaStandardLibrary:Copy(a)
    if type(a) == 'table' then
    local b = {}
    for key, value in pairs(a) do
      b[key] = self:Copy(value)
    end
    return b
  else
    return a
  end
end

local AlpacaStandardLibraryInst = AlpacaStandardLibrary:new()
AlpacaStandardLibraryInst:Init()
